<template>
  <div id="app">
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.2.0/css/all.css"
      integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ"
      crossorigin="anonymous"
    />
    <div id="nav">
      <i class="fas fa-film fa-2x"></i>
      <h1>Wyszukiwarka filmów</h1>
    </div>
    <router-view />
  </div>
</template>

<style lang="scss">
$primary: #11998e;
$secondary: #38ef7d;

body {
  background: #141414;
  color: #f8f0e3;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  //color: #2c3e50;
}

#nav {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  padding: 0.5rem;
  align-items: center;
}
#nav i {
  background: -webkit-linear-gradient($primary, $secondary);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
#nav h1 {
  margin: 0;
  font-size: 1.5rem;
  font-family: Baskerville, Times, "Times New Roman", serif;
  background: -webkit-linear-gradient($primary, $secondary);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-variant: small-caps;
  text-align: center;
  font-weight: bold;
}
</style>
